body{
    text-align: center;
    background-color: black;
    font-family: 'Amatic SC', cursive;

}

h1{
    color: palevioletred;
}

.flowergame{
    background: url('/img/bg.jpg') center/cover;
    width: 800px;
    height: 500px;
    display: flex;
    flex-direction: column;
    margin: auto;
    border-radius: 20px;
}

.flowergame_header{
    padding: 20px;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.flowergame_header .playbtn{
    width: 60px;
    height: 60px;
    background-color: palevioletred;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    border-radius: 20px;
    transition: transform 100ms ease-in;
    cursor: pointer;
}

.flowergame_header .playbtn:hover{
transform: scale(1.1);
}

.flowergame_header .timer{
    width: 130px;
    background-color: white;
    border-radius: 10px;
    text-align: center;
    font-size: 30px;
    margin-top: 10px;
    border: 3px solid black;
    visibility: hidden;
    user-select: none;
    cursor: auto;
}


.flowergame_header .score{
margin-top: 10px;
width: 60px;
height: 60px;
border-radius: 50%;
background-color: mediumpurple;
display: flex;
align-items: center;
justify-content: center;
font-size: 30px;
color: white;
visibility: hidden;

}

.flowergame_field{
    width: 100%;
    height: 100%;
    margin-top: 40px;
    position: relative;
}

.popup{
    width: 400px;
    height: 140px;
    background-color: rgba(0,0,0,0.4);
    margin: auto;
    transform: translateY(-180%);
    border-radius: 20px;
    display: block;
}


.popup__hide{
 display: none;
}

.popup .popup_replybtn{
width: 60px;
height: 60px;
border-radius: 50%;
font-size: 30px;
border: 2px solid black;
margin-top: 20px;
}

.popup .popup_message{
display: block;
font-size: 24px;
color: white;
margin-top: 10px;
}

.purpleflower,
.pinkflower,
.redflower{
    transition: transform 100ms ease-in;
    cursor: pointer;
}

.purpleflower:hover,
.pinkflower:hover,
.redflower:hover{
    transform: scale(1.1);
}

@media (max-width: 768px){
    .flowergame{
        width: 370px;
    }
    .redflower{
        display: none;
    }

    .popup .popup_replybtn{
        color: black;
    }
}